Bug 160953 - [maintainer] www/p5-RT-Authen-ExternalAuth -- drop rt36, add rt40
Summary: [maintainer] www/p5-RT-Authen-ExternalAuth -- drop rt36, add rt40
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-23 21:40 UTC by Matthew Seaman
Modified: 2011-10-18 17:05 UTC (History)
0 users

See Also:


Attachments
p5-RT-Authen-ExternalAuth.diff (7.55 KB, patch)
2011-09-23 21:40 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2011-09-23 21:40:07 UTC
This is dependent on ports/160901 being committed

Drop support for RT version 3.6.x (www/rt36 port expires as of 2011-09-30)

Add support for RT version 4.0.2

Add missing dependencies from Meta.yaml

Add license

Pet portlint

Files removed:

    pkg-plist.rt36

Files renamed

   pkg-plist.rt38 to pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2011-09-23 21:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Matthew Seaman 2011-09-26 22:34:26 UTC
Updated diff accounting for dougb@'s commits today.

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/p5-RT-Authen-ExternalAuth/Makefile,v
retrieving revision 1.10
diff -u -u -r1.10 Makefile
--- Makefile	26 Sep 2011 20:01:01 -0000	1.10
+++ Makefile	26 Sep 2011 21:03:03 -0000
@@ -15,26 +15,40 @@
 MAINTAINER=	m.seaman@infracaninophile.co.uk
 COMMENT=	RT extension to authenticate users against an external source
 
-BUILD_DEPENDS=	${SITE_PERL}/Net/LDAP.pm:${PORTSDIR}/net/p5-perl-ldap
-RUN_DEPENDS=	${BUILD_DEPENDS}
+LICENSE=	GPLv2
+
+BUILD_DEPENDS=	${SITE_PERL}/Net/LDAP.pm:${PORTSDIR}/net/p5-perl-ldap \
+		p5-DBI>0:${PORTSDIR}/databases/p5-DBI \
+		p5-Net-SSLeay>0:${PORTSDIR}/security/p5-Net-SSLeay
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 PERL_CONFIGURE=	yes
 
-RTHOME?=	share/rt38
-RT_PM_DIR=	${SITE_PERL}
-BUILD_DEPENDS+=	${RT_PM_DIR}/RT.pm:${PORTSDIR}/www/rt38
+OPTIONS=	RT38	"Install for rt-3.8.x (default rt-4.0.x)" off
+
+.include <bsd.port.options.mk>
+
+.if defined(WITH_RT38)
+RT_VER=		38
+.else
+RT_VER=		40
+.endif
+
+BUILD_DEPENDS+=	${SITE_PERL}/RT.pm:${PORTSDIR}/www/rt${RT_VER}
+RUN_DEPENDS+=	${SITE_PERL}/RT.pm:${PORTSDIR}/www/rt${RT_VER}
+
 MAN3PREFIX=	${PREFIX}
 
 MAN3=		RT::Authen::ExternalAuth.3
-PLIST_SUB+=	RTHOME=${RTHOME}
+PLIST_SUB+=	RTHOME=share/rt${RT_VER}
 
 # Note: You can install using an arbitrary $PREFIX but only if it
-# matches the $PREFIX used to install www/rt3{6,8}.  Hence ignore
+# matches the $PREFIX used to install www/rt{38,40}.  Hence ignore
 # $PREFIX in the environment and inherit settings from RT.pm
 do-configure:
 	@cd ${CONFIGURE_WRKSRC} && \
 	    unset PREFIX && \
-	    ${SETENV} ${CONFIGURE_ENV} ${PERL5} -I${RT_PM_DIR} ./${CONFIGURE_SCRIPT} && \
+	    ${SETENV} ${CONFIGURE_ENV} ${PERL5} -I${SITE_PERL} ./${CONFIGURE_SCRIPT} && \
 	    ${PERL5} -pi -e 's/ doc_(perl|site|\$$\(INSTALLDIRS\))_install$$//' Makefile
 
 .include <bsd.port.mk>



-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
JID: matthew@infracaninophile.co.uk               Kent, CT11 9PW
Comment 3 Florian Smeets freebsd_committer 2011-10-18 09:58:55 UTC
Responsible Changed
From-To: perl->flo

I'll take it.
Comment 4 dfilter service freebsd_committer 2011-10-18 16:56:10 UTC
flo         2011-10-18 15:56:02 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-RT-Authen-ExternalAuth Makefile 
  Log:
  - Add support for www/rt40
  - Add missing dependencies from Meta.yaml
  - Add license
  - Pet portlint
  - Bump PORTREVISION
  
  PR:             ports/160953
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.11      +23 -8     ports/www/p5-RT-Authen-ExternalAuth/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Florian Smeets freebsd_committer 2011-10-18 17:05:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!